Package org.eclipse.jdt.core.dom

# Class Modifier.ModifierKeyword

java.lang.Object
org.eclipse.jdt.core.dom.Modifier.ModifierKeyword

Enclosing class:
  `Modifier`

public static class Modifier.ModifierKeyword extends Object
Modifier keywords (typesafe enumeration).

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Modifier.ModifierKeyword`
`ABSTRACT_KEYWORD`
"abstract" modifier with flag value `Modifier.ABSTRACT`.
`static final Modifier.ModifierKeyword`
`DEFAULT_KEYWORD`
"default" modifier with flag value `Modifier.DEFAULT` (added in JLS8 API).
`static final Modifier.ModifierKeyword`
`FINAL_KEYWORD`
"final" modifier with flag value `Modifier.FINAL`.
`static final Modifier.ModifierKeyword`
`MODULE_KEYWORD`
`static final Modifier.ModifierKeyword`
`NATIVE_KEYWORD`
"native" modifier with flag value `Modifier.NATIVE`.
`static final Modifier.ModifierKeyword`
`NON_SEALED_KEYWORD`
`static final Modifier.ModifierKeyword`
`PRIVATE_KEYWORD`
"private" modifier with flag value `Modifier.PRIVATE`.
`static final Modifier.ModifierKeyword`
`PROTECTED_KEYWORD`
"protected" modifier with flag value `Modifier.PROTECTED`.
`static final Modifier.ModifierKeyword`
`PUBLIC_KEYWORD`
"public" modifier with flag value `Modifier.PUBLIC`.
`static final Modifier.ModifierKeyword`
`SEALED_KEYWORD`
`static final Modifier.ModifierKeyword`
`STATIC_KEYWORD`
"static" modifier with flag value `Modifier.STATIC`.
`static final Modifier.ModifierKeyword`
`STRICTFP_KEYWORD`
"strictfp" modifier with flag value `Modifier.STRICTFP`.
`static final Modifier.ModifierKeyword`
`SYNCHRONIZED_KEYWORD`
"synchronized" modifier with flag value `Modifier.SYNCHRONIZED`.
`static final Modifier.ModifierKeyword`
`TRANSIENT_KEYWORD`
"transient" modifier with flag value `Modifier.TRANSIENT`.
`static final Modifier.ModifierKeyword`
`VOLATILE_KEYWORD`
"volatile" modifier with flag value `Modifier.VOLATILE`.

## Method Summary

Modifier and Type
Method
Description
`static Modifier.ModifierKeyword`
`fromFlagValue(int flagValue)`
Returns the modifier corresponding to the given single-bit flag value, or `null` if none or if more than one bit is set.
`int`
`toFlagValue()`
Returns the modifier flag value corresponding to this modifier keyword.
`static Modifier.ModifierKeyword`
`toKeyword(String keyword)`
Returns the modifier corresponding to the given string, or `null` if none.
`String`
`toString()`
Returns the keyword for the modifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ABSTRACT_KEYWORD

public static final Modifier.ModifierKeyword ABSTRACT_KEYWORD
"abstract" modifier with flag value `Modifier.ABSTRACT`.

### FINAL_KEYWORD

public static final Modifier.ModifierKeyword FINAL_KEYWORD
"final" modifier with flag value `Modifier.FINAL`.

### NATIVE_KEYWORD

public static final Modifier.ModifierKeyword NATIVE_KEYWORD
"native" modifier with flag value `Modifier.NATIVE`.

### PRIVATE_KEYWORD

public static final Modifier.ModifierKeyword PRIVATE_KEYWORD
"private" modifier with flag value `Modifier.PRIVATE`.

### PROTECTED_KEYWORD

public static final Modifier.ModifierKeyword PROTECTED_KEYWORD
"protected" modifier with flag value `Modifier.PROTECTED`.

### PUBLIC_KEYWORD

public static final Modifier.ModifierKeyword PUBLIC_KEYWORD
"public" modifier with flag value `Modifier.PUBLIC`.

### STATIC_KEYWORD

public static final Modifier.ModifierKeyword STATIC_KEYWORD
"static" modifier with flag value `Modifier.STATIC`.

### STRICTFP_KEYWORD

public static final Modifier.ModifierKeyword STRICTFP_KEYWORD
"strictfp" modifier with flag value `Modifier.STRICTFP`.

### SYNCHRONIZED_KEYWORD

public static final Modifier.ModifierKeyword SYNCHRONIZED_KEYWORD
"synchronized" modifier with flag value `Modifier.SYNCHRONIZED`.

### TRANSIENT_KEYWORD

public static final Modifier.ModifierKeyword TRANSIENT_KEYWORD
"transient" modifier with flag value `Modifier.TRANSIENT`.

### VOLATILE_KEYWORD

public static final Modifier.ModifierKeyword VOLATILE_KEYWORD
"volatile" modifier with flag value `Modifier.VOLATILE`.

### DEFAULT_KEYWORD

public static final Modifier.ModifierKeyword DEFAULT_KEYWORD
"default" modifier with flag value `Modifier.DEFAULT` (added in JLS8 API).

Note that the value of this modifier is internal and is not specified in the Java Virtual Machine Specification.

Since:
  3.10

### SEALED_KEYWORD

public static final Modifier.ModifierKeyword SEALED_KEYWORD

Since:
  3.24

### NON_SEALED_KEYWORD

public static final Modifier.ModifierKeyword NON_SEALED_KEYWORD

Since:
  3.24

### MODULE_KEYWORD

public static final Modifier.ModifierKeyword MODULE_KEYWORD

Since:
  3.40
Restriction:
  preview feature

## Method Details

### fromFlagValue

public static Modifier.ModifierKeyword fromFlagValue(int flagValue)
Returns the modifier corresponding to the given single-bit flag value, or `null` if none or if more than one bit is set.

`fromFlagValue` is the converse of `toFlagValue`: that is, `ModifierKind.fromFlagValue(k.toFlagValue()) == k` for all modifier keywords `k`.

Parameters:
  `flagValue` - the single-bit flag value for the modifier
Returns:
  the modifier keyword, or `null` if none
See Also:
  - `toFlagValue()`

### toKeyword

public static Modifier.ModifierKeyword toKeyword(String keyword)
Returns the modifier corresponding to the given string, or `null` if none.

`toKeyword` is the converse of `toString`: that is, `ModifierKind.toKeyword(k.toString()) == k` for all modifier keywords `k`.

Parameters:
  `keyword` - the lowercase string name for the modifier
Returns:
  the modifier keyword, or `null` if none
See Also:
  - `toString()`

### toFlagValue

public int toFlagValue()
Returns the modifier flag value corresponding to this modifier keyword. These flag values are as described in the Java Virtual Machine Specification.

Returns:
  one of the `Modifier` constants
See Also:
  - `fromFlagValue(int)`

### toString

public String toString()
Returns the keyword for the modifier.

Overrides:
  `toString` in class `Object`
Returns:
  the keyword for the modifier
See Also:
  - `toKeyword(String)`